> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Presigned url

> Retrieve a presigned url to post storage artifacts.



## OpenAPI

````yaml post /storage/presigned-url
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /storage/presigned-url:
    post:
      tags:
        - Storage
      description: Retrieve a presigned url to post storage artifacts.
      parameters:
        - name: objectName
          in: query
          required: true
          description: The name of the object.
          schema:
            type: string
      responses:
        '200':
          description: Response OK.
          content:
            application/json:
              schema:
                type: object
                required:
                  - url
                  - storageUri
                properties:
                  url:
                    description: The presigned url.
                    type: string
                    format: url
                  fields:
                    description: >-
                      Fields to include in the body of the upload. Only needed
                      by s3
                    type: object
                  storageUri:
                    description: >-
                      The storage URI to send back to the backend after the
                      upload was completed.
                    type: string
        default:
          $ref: '#/components/responses/UnexpectedError'
components:
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````